[Oval-commits] r386 - in trunk/oval-infrastructure: debian debian.server

Pavel Vinogradov blaze-guest at alioth.debian.org
Thu Oct 2 18:22:19 UTC 2008


Author: blaze-guest
Date: 2008-10-02 18:22:19 +0000 (Thu, 02 Oct 2008)
New Revision: 386

Added:
   trunk/oval-infrastructure/debian/oval-server.dirs
   trunk/oval-infrastructure/debian/oval-server.docs
   trunk/oval-infrastructure/debian/oval-server.install
   trunk/oval-infrastructure/debian/oval-server.postinst
   trunk/oval-infrastructure/debian/oval-server.postrm
Removed:
   trunk/oval-infrastructure/debian.server/compat
   trunk/oval-infrastructure/debian.server/copyright
   trunk/oval-infrastructure/debian.server/dirs
   trunk/oval-infrastructure/debian.server/docs
   trunk/oval-infrastructure/debian.server/install
   trunk/oval-infrastructure/debian.server/postinst
   trunk/oval-infrastructure/debian.server/postrm
Log:
Merge Debian dirs

Copied: trunk/oval-infrastructure/debian/oval-server.dirs (from rev 383, trunk/oval-infrastructure/debian.server/dirs)
===================================================================
--- trunk/oval-infrastructure/debian/oval-server.dirs	                        (rev 0)
+++ trunk/oval-infrastructure/debian/oval-server.dirs	2008-10-02 18:22:19 UTC (rev 386)
@@ -0,0 +1,7 @@
+usr/bin
+etc/init.d
+etc/oval
+var/lib/oval-server
+var/log/oval
+var/cache/oval-server/definitions
+var/cache/oval-server/repos


Property changes on: trunk/oval-infrastructure/debian/oval-server.dirs
___________________________________________________________________
Name: svn:mergeinfo
   + 

Copied: trunk/oval-infrastructure/debian/oval-server.docs (from rev 383, trunk/oval-infrastructure/debian.server/docs)
===================================================================
--- trunk/oval-infrastructure/debian/oval-server.docs	                        (rev 0)
+++ trunk/oval-infrastructure/debian/oval-server.docs	2008-10-02 18:22:19 UTC (rev 386)
@@ -0,0 +1 @@
+README


Property changes on: trunk/oval-infrastructure/debian/oval-server.docs
___________________________________________________________________
Name: svn:mergeinfo
   + 

Copied: trunk/oval-infrastructure/debian/oval-server.install (from rev 383, trunk/oval-infrastructure/debian.server/install)
===================================================================
--- trunk/oval-infrastructure/debian/oval-server.install	                        (rev 0)
+++ trunk/oval-infrastructure/debian/oval-server.install	2008-10-02 18:22:19 UTC (rev 386)
@@ -0,0 +1 @@
+server.conf etc/oval


Property changes on: trunk/oval-infrastructure/debian/oval-server.install
___________________________________________________________________
Name: svn:mergeinfo
   + 

Copied: trunk/oval-infrastructure/debian/oval-server.postinst (from rev 383, trunk/oval-infrastructure/debian.server/postinst)
===================================================================
--- trunk/oval-infrastructure/debian/oval-server.postinst	                        (rev 0)
+++ trunk/oval-infrastructure/debian/oval-server.postinst	2008-10-02 18:22:19 UTC (rev 386)
@@ -0,0 +1,56 @@
+#!/bin/sh
+# postinst script for oval-agent
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if ! getent group oval > /dev/null; then
+		addgroup oval
+	fi
+	
+	if ! getent passwd oval-server >/dev/null; then
+		adduser --quiet --system --no-create-home \
+			--home /var/cache/oval-server --disabled-password \
+			--disabled-login --shell /bin/false --ingroup oval \
+			oval-server
+	fi
+
+	chown -R oval-server:oval /var/log/oval
+	chown -R oval-server:oval /var/cache/oval-server
+	chown -R oval-server:oval /var/lib/oval-server
+	chmod -R 775 /var/log/oval
+	chmod -R 775 /var/cache/oval-server
+	chmod -R 770 /var/lib/oval-server
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
\ No newline at end of file


Property changes on: trunk/oval-infrastructure/debian/oval-server.postinst
___________________________________________________________________
Name: svn:mergeinfo
   + 

Copied: trunk/oval-infrastructure/debian/oval-server.postrm (from rev 383, trunk/oval-infrastructure/debian.server/postrm)
===================================================================
--- trunk/oval-infrastructure/debian/oval-server.postrm	                        (rev 0)
+++ trunk/oval-infrastructure/debian/oval-server.postrm	2008-10-02 18:22:19 UTC (rev 386)
@@ -0,0 +1,55 @@
+#!/bin/sh
+# postrm script for oval-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+   	rm -rf /var/cache/oval-server
+	rm -rf /var/lib/oval-server
+    ;;
+
+    remove)
+	rm -rf /var/log/oval/oval-server.log
+        # (jfs) BUG: This check should be more strict, this user
+        # might have been created by the user but not by the package
+        # also, it makes more sense to have an oval-agent and oval-server
+        # users so that they do not overlap
+	if id oval >/dev/null; then
+		deluser oval
+	fi
+    ;;
+
+    upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+


Property changes on: trunk/oval-infrastructure/debian/oval-server.postrm
___________________________________________________________________
Name: svn:mergeinfo
   + 

Deleted: trunk/oval-infrastructure/debian.server/compat
===================================================================
--- trunk/oval-infrastructure/debian.server/compat	2008-10-02 18:20:37 UTC (rev 385)
+++ trunk/oval-infrastructure/debian.server/compat	2008-10-02 18:22:19 UTC (rev 386)
@@ -1 +0,0 @@
-5

Deleted: trunk/oval-infrastructure/debian.server/copyright
===================================================================
--- trunk/oval-infrastructure/debian.server/copyright	2008-10-02 18:20:37 UTC (rev 385)
+++ trunk/oval-infrastructure/debian.server/copyright	2008-10-02 18:22:19 UTC (rev 386)
@@ -1,26 +0,0 @@
-This is oval-server, written and maintained by Pavel Vinogradov <Pavel.Vinogradov at nixdev.net>
-on Thu, 23 Aug 2007 17:37:09 +0500.
-
-The original source can always be found at:
-	ftp://ftp.debian.org/dists/unstable/main/source/
-
-Copyright Holder:  Pavel Vinogradov
-
-License:
-
-  This program is free software; you can redistribute it and/or modify
-  it under the terms of the GNU General Public License as published by
-  the Free Software Foundation; either version 2 of the License, or
-  (at your option) any later version.
-
-  This program is distributed in the hope that it will be useful,
-  but WITHOUT ANY WARRANTY; without even the implied warranty of
-  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-  GNU General Public License for more details.
-
-  You should have received a copy of the GNU General Public License
-  along with this package; if not, write to the Free Software
-  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
-
-On Debian systems, the complete text of the GNU General
-Public License can be found in `/usr/share/common-licenses/GPL'.

Deleted: trunk/oval-infrastructure/debian.server/dirs
===================================================================
--- trunk/oval-infrastructure/debian.server/dirs	2008-10-02 18:20:37 UTC (rev 385)
+++ trunk/oval-infrastructure/debian.server/dirs	2008-10-02 18:22:19 UTC (rev 386)
@@ -1,7 +0,0 @@
-usr/bin
-etc/init.d
-etc/oval
-var/lib/oval-server
-var/log/oval
-var/cache/oval-server/definitions
-var/cache/oval-server/repos

Deleted: trunk/oval-infrastructure/debian.server/docs
===================================================================
--- trunk/oval-infrastructure/debian.server/docs	2008-10-02 18:20:37 UTC (rev 385)
+++ trunk/oval-infrastructure/debian.server/docs	2008-10-02 18:22:19 UTC (rev 386)
@@ -1 +0,0 @@
-README

Deleted: trunk/oval-infrastructure/debian.server/install
===================================================================
--- trunk/oval-infrastructure/debian.server/install	2008-10-02 18:20:37 UTC (rev 385)
+++ trunk/oval-infrastructure/debian.server/install	2008-10-02 18:22:19 UTC (rev 386)
@@ -1 +0,0 @@
-server.conf etc/oval

Deleted: trunk/oval-infrastructure/debian.server/postinst
===================================================================
--- trunk/oval-infrastructure/debian.server/postinst	2008-10-02 18:20:37 UTC (rev 385)
+++ trunk/oval-infrastructure/debian.server/postinst	2008-10-02 18:22:19 UTC (rev 386)
@@ -1,56 +0,0 @@
-#!/bin/sh
-# postinst script for oval-agent
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <postinst> `abort-remove'
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    configure)
-	if ! getent group oval > /dev/null; then
-		addgroup oval
-	fi
-	
-	if ! getent passwd oval-server >/dev/null; then
-		adduser --quiet --system --no-create-home \
-			--home /var/cache/oval-server --disabled-password \
-			--disabled-login --shell /bin/false --ingroup oval \
-			oval-server
-	fi
-
-	chown -R oval-server:oval /var/log/oval
-	chown -R oval-server:oval /var/cache/oval-server
-	chown -R oval-server:oval /var/lib/oval-server
-	chmod -R 775 /var/log/oval
-	chmod -R 775 /var/cache/oval-server
-	chmod -R 770 /var/lib/oval-server
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
\ No newline at end of file

Deleted: trunk/oval-infrastructure/debian.server/postrm
===================================================================
--- trunk/oval-infrastructure/debian.server/postrm	2008-10-02 18:20:37 UTC (rev 385)
+++ trunk/oval-infrastructure/debian.server/postrm	2008-10-02 18:22:19 UTC (rev 386)
@@ -1,55 +0,0 @@
-#!/bin/sh
-# postrm script for oval-server
-#
-# see: dh_installdeb(1)
-
-set -e
-
-# summary of how this script can be called:
-#        * <postrm> `remove'
-#        * <postrm> `purge'
-#        * <old-postrm> `upgrade' <new-version>
-#        * <new-postrm> `failed-upgrade' <old-version>
-#        * <new-postrm> `abort-install'
-#        * <new-postrm> `abort-install' <old-version>
-#        * <new-postrm> `abort-upgrade' <old-version>
-#        * <disappearer's-postrm> `disappear' <overwriter>
-#          <overwriter-version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
-    purge)
-   	rm -rf /var/cache/oval-server
-	rm -rf /var/lib/oval-server
-    ;;
-
-    remove)
-	rm -rf /var/log/oval/oval-server.log
-        # (jfs) BUG: This check should be more strict, this user
-        # might have been created by the user but not by the package
-        # also, it makes more sense to have an oval-agent and oval-server
-        # users so that they do not overlap
-	if id oval >/dev/null; then
-		deluser oval
-	fi
-    ;;
-
-    upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-    ;;
-
-    *)
-        echo "postrm called with unknown argument \`$1'" >&2
-        exit 1
-    ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0
-
-




More information about the Oval-commits mailing list